Bug 58149 - Some elements in meter-styles.html are hiding its content part with non-content-area.
Summary: Some elements in meter-styles.html are hiding its content part with non-conte...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Hajime Morrita
URL:
Keywords:
Depends on:
Blocks: 50661
  Show dependency treegraph
 
Reported: 2011-04-08 11:55 PDT by Hajime Morrita
Modified: 2011-05-11 22:10 PDT (History)
2 users (show)

See Also:


Attachments
Patch (183.93 KB, patch)
2011-04-08 12:01 PDT, Hajime Morrita
tkent: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2011-04-08 11:55:21 PDT
Too large-sized border and padding hide the content area,
which we need to ensure its visual.

http://trac.webkit.org/changeset/82899 changed the layout scheme of <meter>,
that made this test less useful.
We need to update the test.
Comment 1 Hajime Morrita 2011-04-08 12:01:51 PDT
Created attachment 88853 [details]
Patch
Comment 3 Dimitri Glazkov (Google) 2011-04-22 14:04:21 PDT
(In reply to comment #2)
> What about the second <meter> in meter-element.html? Its background bar is not rendered.
> http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=meter-element.html%2Cmeter-styles.html&showExpectations=true&showLargeExpectations=true&group=%40ToT%20-%20chromium.org

Morrita-san, have you answered this question? Would love to close this bug.
Comment 4 Hajime Morrita 2011-04-23 13:10:19 PDT
I'm sorry I missed Kent-san's comment. And this actually broken....
I filed Bug 59281 and will fix shortly.
Comment 5 Kent Tamura 2011-04-26 16:46:22 PDT
Comment on attachment 88853 [details]
Patch

ok
Comment 6 Hajime Morrita 2011-05-11 22:10:09 PDT
Committed r86307: <http://trac.webkit.org/changeset/86307>